package com.ruoyi.demo.entity.bo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.demo.entity.Equipment;
import com.ruoyi.demo.entity.Store;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.actuate.endpoint.web.Link;

import java.math.BigDecimal;
import java.util.List;

@Data
@NoArgsConstructor
public class StoreBo{
    @ExcelProperty(value = "店铺主键")
    private String storeId;
    @ExcelProperty(value = "区域名称")
    private String storeName;
    @ExcelIgnore
    private String addrInfo;
    @ExcelIgnore
    private String addrCode;
    @ExcelProperty(value = "地址")
    private String addrCodeInfo;
    @ExcelProperty(value = "联系人")
    private String principalName;
    @ExcelProperty(value = "联系人手机")
    private String principalTelephone;

    @ExcelProperty(value = "关联设备数量")
    private Integer count;
    @ExcelIgnore
    private BigDecimal lat;
    @ExcelIgnore
    private BigDecimal lng;
    @ExcelIgnore
    private String point;
    @ExcelIgnore
    List<Equipment> equipmentList;

    public StoreBo(Store store) {
        this.storeId = store.getStoreId();
        this.storeName = store.getStoreName();
        this.addrInfo = store.getAddrInfo();
        this.addrCode = store.getAddrCode();
        this.addrCodeInfo = store.getAddrCodeInfo();
        this.principalName = store.getPrincipalName();
        this.principalTelephone = store.getPrincipalTelephone();
        this.lat = store.getLat();
        this.lng = store.getLng();
        this.point = store.getPoint();
    }
}
