package com.ruoyi.demo.entity.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.format.NumberFormat;
import com.alibaba.excel.converters.bigdecimal.BigDecimalNumberConverter;
import com.alibaba.excel.converters.date.DateStringConverter;
import com.ruoyi.demo.entity.Goods;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class GoodsListVo {
    @ExcelIgnore
    private String appkey;

    @ExcelProperty(value = "来源平台")
    private String appName;
    @ExcelProperty(value = "来源供应商")
    private String vendorName;

    @ExcelProperty(value = "商品主键")
    private String goodsId;
    @ExcelProperty(value = "商品图片")
    private String goodsImg;
    @ExcelProperty(value = "商品名称")
    private String goodsName;
    @ExcelProperty(value = "商品价格", converter = BigDecimalNumberConverter.class)
    @NumberFormat("#.##")
    private BigDecimal goodsPrice;
    @ExcelProperty(value = "商品分类")
    private String goodsClassify;

    @ExcelProperty(value = "创建时间", converter = DateStringConverter.class)
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    public GoodsListVo(){}
    public GoodsListVo(Goods goods){
        this.appkey = goods.getAppkey();

        this.appName = goods.getAppName();
        this.vendorName = goods.getVendorName();

        this.goodsId = goods.getGoodsId();
        this.goodsImg = goods.getGoodsImg();
        this.goodsName = goods.getGoodsName();
        this.goodsPrice = goods.getGoodsPrice();
        this.goodsClassify = goods.getGoodsClassify();

        this.createTime = goods.getCreateTime();
    }
}
