package com.ruoyi.demo.entity.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.format.NumberFormat;
import com.alibaba.excel.converters.bigdecimal.BigDecimalNumberConverter;
import com.alibaba.excel.converters.date.DateStringConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.PlanPushStatistics;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

// 广告投放列表
@Data
public class PlanPushStatisticsListVo {
    @ExcelProperty(value = "广告主键")
    private String statisticsId;
    @ExcelIgnore
    private String equipmentId;
    @ExcelProperty(value = "设备名称")
    private String equipmentName;
    @ExcelIgnore
    private String equipmentCode;
    @ExcelProperty(value = "轮播量")
    private Integer carouselCount;
    @ExcelProperty(value = "扫码量")
    private Integer scanCodeCount;
    @ExcelProperty(value = "转化率")
    private String ratio;
    @ExcelProperty(value = "累计用户")
    private Integer totalUserCount;
    @ExcelProperty(value = "累计收入", converter = BigDecimalNumberConverter.class)
    @NumberFormat("#.##")
    private BigDecimal totalPrice;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(value = "最后同步时间", converter = DateStringConverter.class)
    private Date lasterTime;

    public PlanPushStatisticsListVo(){}
    public PlanPushStatisticsListVo(PlanPushStatistics statistics){
        this.statisticsId = statistics.getStatisticsId();
        this.equipmentId = statistics.getEquipmentId();
        this.equipmentName = statistics.getEquipmentName();
        this.equipmentCode = statistics.getEquipmentCode();
        this.carouselCount = statistics.getCarouselCount();
        this.scanCodeCount = statistics.getScanCodeCount();
        float r = (float) statistics.getTradeCount()/statistics.getScanCodeCount();
        this.ratio = ((int)(r*100)+"%");
        this.totalUserCount = statistics.getTotalUserCount();
        this.totalPrice = statistics.getTotalPrice();
        this.lasterTime = statistics.getLasterTime();
    }
}
